Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.benchmark.impl.statistic.movecountperstep
Class MoveCountPerStepSingleStatistic

    java.lang.Object
      org.optaplanner.benchmark.impl.statistic.SingleStatistic<P>
          org.optaplanner.benchmark.impl.statistic.ProblemBasedSingleStatistic<MoveCountPerStepStatisticPoint>
              org.optaplanner.benchmark.impl.statistic.movecountperstep.MoveCountPerStepSingleStatistic

    public class MoveCountPerStepSingleStatistic

extends ProblemBasedSingleStatistic<MoveCountPerStepStatisticPoint>

Field Summary

Fields inherited from class org.optaplanner.benchmark.impl.statistic.ProblemBasedSingleStatistic
`problemStatisticType`

Fields inherited from class org.optaplanner.benchmark.impl.statistic.SingleStatistic
`logger, pointList, singleBenchmarkResult`

Constructor Summary
`MoveCountPerStepSingleStatistic(SingleBenchmarkResult singleBenchmarkResult)`

Method Summary
`void` | `close(Solver solver)`
`protected MoveCountPerStepStatisticPoint` | `createPointFromCsvLine(ScoreDefinition scoreDefinition, List<String> csvLine)`
`protected String` | `getCsvHeader()`
`void` | `open(Solver solver)`

Methods inherited from class org.optaplanner.benchmark.impl.statistic.ProblemBasedSingleStatistic
`getStatisticType`

Methods inherited from class org.optaplanner.benchmark.impl.statistic.SingleStatistic
`getAnchorId, getCsvFile, getCsvFilePath, getPointList, getSingleBenchmarkResult, initPointList, readCsvStatisticFile, setPointList, setSingleBenchmarkResult, writeCsvStatisticFile`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MoveCountPerStepSingleStatistic

    public MoveCountPerStepSingleStatistic(SingleBenchmarkResult singleBenchmarkResult)

Method Detail

### open

    public void open(Solver solver)

  Specified by:
    `open` in class `SingleStatistic<MoveCountPerStepStatisticPoint>`

### close

    public void close(Solver solver)

  Specified by:
    `close` in class `SingleStatistic<MoveCountPerStepStatisticPoint>`

### getCsvHeader

    protected String getCsvHeader()

  Specified by:
    `getCsvHeader` in class `SingleStatistic<MoveCountPerStepStatisticPoint>`

### createPointFromCsvLine

    protected MoveCountPerStepStatisticPoint createPointFromCsvLine(ScoreDefinition scoreDefinition,
                                                                    List<String> csvLine)

  Specified by:
    `createPointFromCsvLine` in class `SingleStatistic<MoveCountPerStepStatisticPoint>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2015 JBoss by Red Hat. All Rights Reserved.